LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
RemoteContentProviderChangeEvent Struct Referencepublished

The description of a change to a com::sun::star::ucb::XRemoteContentProviderSupplier. More...

`import"RemoteContentProviderChangeEvent.idl";`

Inheritance diagram for RemoteContentProviderChangeEvent:

## Public Attributes
string | Identifier
| The identifier with which the remote content provider is registered at the com::sun::star::ucb::XRemoteContentProviderSupplier. More...
RemoteContentProviderChangeAction | Action
| An indicator whether a remote content provider has been added or removed. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

The description of a change to a com::sun::star::ucb::XRemoteContentProviderSupplier.

Version
  1.0

Author
  Stephan Bergmann

## Member Data Documentation

RemoteContentProviderChangeAction Action

An indicator whether a remote content provider has been added or removed.

string Identifier

The identifier with which the remote content provider is registered at the com::sun::star::ucb::XRemoteContentProviderSupplier.

The documentation for this struct was generated from the following file:

- com/sun/star/ucb/RemoteContentProviderChangeEvent.idl